'failed to open panfrost' after system update using archarm
#1
Exclamation 
Hello Pine64-Community,

as my first post I unfortunately need to write about an issue I currently have with my otherwise great Pinebook Pro. I have my own setup using archlinux-arm. You can find the whole configuration on this repo. After updating my system with 'yay -Syu' the mesa driver fails to load:

Code:
libEGL warning: MESA-LOADER: failed to open panfrost: /usr/lib/dri/panfrost_dri.so: undefined symbol: amdgpu_va_get_start_addr (search paths /usr/lib/dri, suffix _dri)

libEGL warning: MESA-LOADER: failed to open panfrost: /usr/lib/dri/panfrost_dri.so: undefined symbol: amdgpu_va_get_start_addr (search paths /usr/lib/dri, suffix _dri)

libEGL warning: MESA-LOADER: failed to open panfrost: /usr/lib/dri/panfrost_dri.so: undefined symbol: amdgpu_va_get_start_addr (search paths /usr/lib/dri, suffix _dri)

Error: glewCreateContext failed

I am using sway and everything, that can, seems to fallback to software rendering and therefore things are very slow.
The kernel I am using is
Code:
6.2.12-1-MANJARO-ARM

from here

Here is the complete log of pacman during the update:

Code:
[2024-03-01T15:55:04+0100] [PACMAN] Running 'pacman -S -y --config /etc/pacman.conf --'
[2024-03-01T15:55:04+0100] [PACMAN] synchronizing package lists
[2024-03-01T15:59:50+0100] [PACMAN] Running 'pacman -U --config /etc/pacman.conf -- /home/johnny/.cache/yay/libpamac-aur/libpamac-aur-11.6.3-1-aarch64.pkg.tar.xz'
[2024-03-01T15:59:52+0100] [ALPM] transaction started
[2024-03-01T15:59:52+0100] [ALPM] upgraded libpamac-aur (11.6.3-0 -> 11.6.3-1)
[2024-03-01T15:59:53+0100] [ALPM] transaction completed
[2024-03-01T15:59:53+0100] [ALPM] running '30-systemd-daemon-reload-system.hook'...
[2024-03-01T15:59:53+0100] [ALPM] running '30-systemd-update.hook'...
[2024-03-01T15:59:53+0100] [ALPM] running '30-update-mime-database.hook'...
[2024-03-01T15:59:54+0100] [ALPM] running 'dbus-reload.hook'...
[2024-03-01T15:59:55+0100] [PACMAN] Running 'pacman -D -q --asdeps --config /etc/pacman.conf -- libpamac-aur'
[2024-03-01T15:59:55+0100] [PACMAN] Running 'pacman -S -y -u --config /etc/pacman.conf --'
[2024-03-01T15:59:55+0100] [PACMAN] synchronizing package lists
[2024-03-01T15:59:57+0100] [PACMAN] starting full system upgrade
[2024-03-01T16:05:20+0100] [ALPM] transaction started
[2024-03-01T16:05:20+0100] [ALPM] upgraded linux-api-headers (6.4-1 -> 6.7-1)
[2024-03-01T16:05:20+0100] [ALPM] upgraded tzdata (2023d-1 -> 2024a-1)
[2024-03-01T16:05:20+0100] [ALPM] upgraded acl (2.3.1-3 -> 2.3.2-1)
[2024-03-01T16:05:20+0100] [ALPM] upgraded alsa-card-profiles (1:1.0.1-1 -> 1:1.0.3-1)
[2024-03-01T16:05:20+0100] [ALPM] upgraded alsa-ucm-conf (1.2.10-2 -> 1.2.11-1)
[2024-03-01T16:05:21+0100] [ALPM] upgraded alsa-lib (1.2.10-2 -> 1.2.11-1)
[2024-03-01T16:05:21+0100] [ALPM] upgraded hwdata (0.378-1 -> 0.379-1)
[2024-03-01T16:05:22+0100] [ALPM] upgraded openssl (3.2.0-1 -> 3.2.1-1)
[2024-03-01T16:05:23+0100] [ALPM] upgraded xz (5.4.5-1 -> 5.6.0-1)
[2024-03-01T16:05:23+0100] [ALPM] upgraded pciutils (3.10.0-1 -> 3.11.1-1)
[2024-03-01T16:05:24+0100] [ALPM] upgraded alsa-utils (1.2.10-1 -> 1.2.11-1)
[2024-03-01T16:05:24+0100] [ALPM] upgraded libidn2 (2.3.4-3.1 -> 2.3.7-1)
[2024-03-01T16:05:24+0100] [ALPM] upgraded libnghttp2 (1.59.0-1 -> 1.59.0-2)
[2024-03-01T16:05:24+0100] [ALPM] upgraded libnghttp3 (1.1.0-1 -> 1.2.0-1)
[2024-03-01T16:05:24+0100] [ALPM] upgraded util-linux-libs (2.39.3-1 -> 2.39.3-2)
[2024-03-01T16:05:24+0100] [ALPM] upgraded pam (1.6.0-3 -> 1.6.0-4)
[2024-03-01T16:05:24+0100] [ALPM] upgraded coreutils (9.4-2 -> 9.4-3)
[2024-03-01T16:05:24+0100] [ALPM] upgraded libgpg-error (1.47-1 -> 1.48-1)
[2024-03-01T16:05:25+0100] [ALPM] upgraded systemd-libs (255.2-3 -> 255.4-1)
[2024-03-01T16:05:25+0100] [ALPM] upgraded libffi (3.4.4-1 -> 3.4.6-1)
[2024-03-01T16:05:25+0100] [ALPM] upgraded ca-certificates-mozilla (3.97-1 -> 3.98-1)
[2024-03-01T16:05:25+0100] [ALPM] upgraded curl (8.5.0-1 -> 8.6.0-3)
[2024-03-01T16:05:25+0100] [ALPM] upgraded libxml2 (2.12.4-1 -> 2.12.5-1)
[2024-03-01T16:05:25+0100] [ALPM] upgraded pixman (0.43.0-1 -> 0.43.4-1)
[2024-03-01T16:05:25+0100] [ALPM] upgraded libpng (1.6.40-2 -> 1.6.43-1)
[2024-03-01T16:05:25+0100] [ALPM] upgraded libxext (1.3.5-1 -> 1.3.6-1)
[2024-03-01T16:05:25+0100] [ALPM] upgraded expat (2.5.0-1 -> 2.6.1-1)
[2024-03-01T16:05:25+0100] [ALPM] upgraded libsysprof-capture (45.1-1 -> 45.2-1)
[2024-03-01T16:05:25+0100] [ALPM] upgraded pango (1:1.51.1-1 -> 1:1.52.0-1)
[2024-03-01T16:05:26+0100] [ALPM] upgraded libjpeg-turbo (3.0.1-1 -> 3.0.2-2)
[2024-03-01T16:05:26+0100] [ALPM] upgraded appstream (1.0.1-2 -> 1.0.2-1)
[2024-03-01T16:05:26+0100] [ALPM] upgraded libksba (1.6.5-1 -> 1.6.6-1)
[2024-03-01T16:05:26+0100] [ALPM] upgraded libusb (1.0.26-2 -> 1.0.27-1)
[2024-03-01T16:05:26+0100] [ALPM] upgraded npth (1.6-4 -> 1.7-1)
[2024-03-01T16:05:27+0100] [ALPM] upgraded sqlite (3.45.0-1 -> 3.45.1-1)
[2024-03-01T16:05:27+0100] [ALPM] upgraded libsecret (0.21.2-1 -> 0.21.4-1)
[2024-03-01T16:05:27+0100] [ALPM] upgraded gnupg (2.4.3-2 -> 2.4.4-1)
[2024-03-01T16:05:27+0100] [ALPM] upgraded mpfr (4.2.1-1 -> 4.2.1-2)
[2024-03-01T16:05:27+0100] [ALPM] upgraded pacman (6.0.2-8 -> 6.0.2-9)
[2024-03-01T16:05:28+0100] [ALPM] upgraded archlinux-keyring (20231222-1 -> 20240208-1)
[2024-03-01T16:05:28+0100] [ALPM-SCRIPTLET] ==> Füge Schlüssel aus archlinux.gpg hinzu...
[2024-03-01T16:05:41+0100] [ALPM-SCRIPTLET] ==> Aktualisiere Trust-Datenbank...
[2024-03-01T16:05:41+0100] [ALPM-SCRIPTLET] gpg: nächste "Trust-DB"-Pflichtüberprüfung am 2024-04-10
[2024-03-01T16:05:41+0100] [ALPM] upgraded cryptsetup (2.6.1-3 -> 2.7.0-1)
[2024-03-01T16:05:41+0100] [ALPM] upgraded libelf (0.190-1 -> 0.190-2)
[2024-03-01T16:05:41+0100] [ALPM] upgraded libbsd (0.11.8-1 -> 0.12.1-1)
[2024-03-01T16:05:41+0100] [ALPM] upgraded shadow (4.14.3-1 -> 4.14.5-1)
[2024-03-01T16:05:42+0100] [ALPM] upgraded util-linux (2.39.3-1 -> 2.39.3-2)
[2024-03-01T16:05:43+0100] [ALPM] warning: directory permissions differ on /usr/share/polkit-1/rules.d/
filesystem: 750  package: 755
[2024-03-01T16:05:43+0100] [ALPM] upgraded systemd (255.2-3 -> 255.4-1)
[2024-03-01T16:05:44+0100] [ALPM] upgraded xorg-xprop (1.2.6-1 -> 1.2.7-1)
[2024-03-01T16:05:44+0100] [ALPM] upgraded atkmm (2.28.3-1 -> 2.28.4-1)
[2024-03-01T16:05:45+0100] [ALPM] upgraded nss (3.97-1 -> 3.98-1)
[2024-03-01T16:05:45+0100] [ALPM] upgraded libnm (1.44.2-3 -> 1.46.0-2)
[2024-03-01T16:05:47+0100] [ALPM] upgraded python (3.11.6-1 -> 3.11.7-1)
[2024-03-01T16:05:47+0100] [ALPM] upgraded python-cairo (1.25.1-1 -> 1.26.0-1)
[2024-03-01T16:05:47+0100] [ALPM] upgraded libcolord (1.4.7-1 -> 1.4.7-2)
[2024-03-01T16:05:47+0100] [ALPM] upgraded vulkan-icd-loader (1.3.274-1 -> 1.3.276-1)
[2024-03-01T16:05:47+0100] [ALPM] upgraded libpciaccess (0.17-1 -> 0.18-1)
[2024-03-01T16:05:50+0100] [ALPM] upgraded mesa (1:23.3.3-1 -> 1:24.0.2-1)
[2024-03-01T16:05:50+0100] [ALPM] upgraded xkeyboard-config (2.40-1 -> 2.41-1)
[2024-03-01T16:05:50+0100] [ALPM] upgraded libproxy (0.5.3-2 -> 0.5.4-1)
[2024-03-01T16:05:50+0100] [ALPM] upgraded glib-networking (1:2.78.0-1 -> 1:2.78.1-1)
[2024-03-01T16:05:51+0100] [ALPM] upgraded blueman (2.3.5-2 -> 2.3.5-3)
[2024-03-01T16:05:51+0100] [ALPM] upgraded boost-libs (1.83.0-4 -> 1.83.0-5)
[2024-03-01T16:05:51+0100] [ALPM] upgraded btop (1.3.0-2 -> 1.3.2-1)
[2024-03-01T16:05:51+0100] [ALPM] upgraded btrfs-progs (6.7-1 -> 6.7.1-1)
[2024-03-01T16:05:52+0100] [ALPM] upgraded c-ares (1.25.0-1 -> 1.27.0-1)
[2024-03-01T16:05:52+0100] [ALPM] upgraded libuv (1.47.0-1 -> 1.48.0-1)
[2024-03-01T16:05:55+0100] [ALPM] upgraded cmake (3.28.1-1 -> 3.28.3-1)
[2024-03-01T16:05:55+0100] [ALPM] upgraded polkit (124-1 -> 124-2)
[2024-03-01T16:05:56+0100] [ALPM] upgraded colord (1.4.7-1 -> 1.4.7-2)
[2024-03-01T16:05:56+0100] [ALPM] upgraded dav1d (1.3.0-1 -> 1.4.0-1)
[2024-03-01T16:05:56+0100] [ALPM] upgraded ijs (0.35-5 -> 0.35-6)
[2024-03-01T16:05:56+0100] [ALPM] upgraded zziplib (0.13.72-2 -> 0.13.73-1)
[2024-03-01T16:05:56+0100] [ALPM] upgraded rav1e (0.6.6-3 -> 0.7.1-1)
[2024-03-01T16:05:56+0100] [ALPM] upgraded libavif (1.0.3-1 -> 1.0.4-1)
[2024-03-01T16:05:56+0100] [ALPM] upgraded giflib (5.2.1-2 -> 5.2.2-1)
[2024-03-01T16:05:56+0100] [ALPM] upgraded libheif (1.17.6-1 -> 1.17.6-3)
[2024-03-01T16:05:56+0100] [ALPM] upgraded dvisvgm (3.2-1 -> 3.2.1-1)
[2024-03-01T16:05:56+0100] [ALPM] upgraded libgit2 (1:1.7.1-1 -> 1:1.7.2-1)
[2024-03-01T16:05:56+0100] [ALPM] upgraded eza (0.17.2-1 -> 0.18.5-1)
[2024-03-01T16:05:56+0100] [ALPM] upgraded fakeroot (1.33-1 -> 1.33-2)
[2024-03-01T16:05:57+0100] [ALPM] upgraded fcft (3.1.7-1 -> 3.1.8-1)
[2024-03-01T16:05:57+0100] [ALPM] upgraded libxkbfile (1.1.2-1 -> 1.1.3-1)
[2024-03-01T16:05:58+0100] [ALPM] upgraded fcitx5 (5.1.7-2 -> 5.1.7-3)
[2024-03-01T16:05:58+0100] [ALPM] upgraded md4c (0.5.1-1 -> 0.5.2-1)
[2024-03-01T16:05:58+0100] [ALPM] upgraded tslib (1.22-1 -> 1.23-1)
[2024-03-01T16:05:58+0100] [ALPM] upgraded vulkan-headers (1:1.3.274-1 -> 1:1.3.276-1)
[2024-03-01T16:05:58+0100] [ALPM] upgraded xdg-utils (1.2.0r28+g9b7d253-1 -> 1.2.1-1)
[2024-03-01T16:05:58+0100] [ALPM] upgraded qt6-translations (6.6.1-1 -> 6.6.2-1)
[2024-03-01T16:05:58+0100] [ALPM] upgraded libwacom (2.9.0-2 -> 2.10.0-1)
[2024-03-01T16:06:01+0100] [ALPM] upgraded qt6-base (6.6.1-3 -> 6.6.2-4)
[2024-03-01T16:06:04+0100] [ALPM] upgraded qt6-declarative (6.6.1-1 -> 6.6.2-1)
[2024-03-01T16:06:04+0100] [ALPM] upgraded qt6-wayland (6.6.1-1 -> 6.6.2-1)
[2024-03-01T16:06:04+0100] [ALPM] upgraded fcitx5-qt (5.1.4-3 -> 5.1.4-5)
[2024-03-01T16:06:04+0100] [ALPM] upgraded libpipewire (1:1.0.1-1 -> 1:1.0.3-1)
[2024-03-01T16:06:04+0100] [ALPM] upgraded libcamera-ipa (0.1.0-2 -> 0.2.0-1)
[2024-03-01T16:06:04+0100] [ALPM] upgraded libcamera (0.1.0-2 -> 0.2.0-1)
[2024-03-01T16:06:05+0100] [ALPM] upgraded pipewire (1:1.0.1-1 -> 1:1.0.3-1)
[2024-03-01T16:06:05+0100] [ALPM] upgraded mpg123 (1.32.4-1 -> 1.32.5-1)
[2024-03-01T16:06:05+0100] [ALPM] upgraded pipewire-audio (1:1.0.1-1 -> 1:1.0.3-1)
[2024-03-01T16:06:05+0100] [ALPM] upgraded pipewire-jack (1:1.0.1-1 -> 1:1.0.3-1)
[2024-03-01T16:06:05+0100] [ALPM] upgraded highway (1.0.7-1 -> 1.1.0-1)
[2024-03-01T16:06:06+0100] [ALPM] upgraded imath (3.1.9-2 -> 3.1.11-1)
[2024-03-01T16:06:06+0100] [ALPM] upgraded openexr (3.2.1-1 -> 3.2.2-1)
[2024-03-01T16:06:06+0100] [ALPM] upgraded libjxl (0.9.1-1 -> 0.10.0-1)
[2024-03-01T16:06:06+0100] [ALPM] upgraded spirv-tools (2023.5-1 -> 2023.6-1)
[2024-03-01T16:06:07+0100] [ALPM] upgraded glslang (13.1.1-3 -> 14.0.0-1)
[2024-03-01T16:06:07+0100] [ALPM] upgraded shaderc (2023.7-2 -> 2023.8-1)
[2024-03-01T16:06:07+0100] [ALPM] upgraded libplacebo (6.338.1-1 -> 6.338.2-2)
[2024-03-01T16:06:07+0100] [ALPM] upgraded libvpx (1.13.1-1 -> 1.14.0-1)
[2024-03-01T16:06:07+0100] [ALPM] upgraded sdl2 (2.28.5-1 -> 2.30.0-1)
[2024-03-01T16:06:07+0100] [ALPM] upgraded fftw (3.3.10-4 -> 3.3.10-6)
[2024-03-01T16:06:09+0100] [ALPM] upgraded ffmpeg (2:6.1.1-2 -> 2:6.1.1-6)
[2024-03-01T16:06:13+0100] [ALPM] upgraded noto-fonts (1:24.1.1-1 -> 1:24.3.1-1)
[2024-03-01T16:06:20+0100] [ALPM] upgraded firefox (122.0-1 -> 123.0-1)
[2024-03-01T16:06:21+0100] [ALPM] upgraded fzf (0.45.0-1 -> 0.46.1-1)
[2024-03-01T16:06:21+0100] [ALPM] upgraded gc (8.2.4-1 -> 8.2.6-1)
[2024-03-01T16:06:21+0100] [ALPM] upgraded openssh (9.6p1-1 -> 9.6p1-3)
[2024-03-01T16:06:21+0100] [ALPM] upgraded gcr-4 (4.1.0-1 -> 4.2.0-1)
[2024-03-01T16:06:21+0100] [ALPM] upgraded gifski (1.14.1-1 -> 1.14.4-1)
[2024-03-01T16:06:24+0100] [ALPM] upgraded perl (5.38.1-1 -> 5.38.2-1)
[2024-03-01T16:06:25+0100] [ALPM] upgraded git (2.43.0-1 -> 2.44.0-1)
[2024-03-01T16:06:25+0100] [ALPM] upgraded git-lfs (3.4.1-1 -> 3.5.0-1)
[2024-03-01T16:06:25+0100] [ALPM] upgraded gnome-keyring (1:42.1-3 -> 1:46.1-1)
[2024-03-01T16:06:34+0100] [ALPM] upgraded go (2:1.21.6-1 -> 2:1.22.0-1)
[2024-03-01T16:06:34+0100] [ALPM] upgraded graphviz (9.0.0-1 -> 10.0.1-1)
[2024-03-01T16:06:36+0100] [ALPM] upgraded gstreamer (1.22.8-2 -> 1.22.10-1)
[2024-03-01T16:06:37+0100] [ALPM] upgraded orc (0.4.35-1 -> 0.4.38-1)
[2024-03-01T16:06:37+0100] [ALPM] upgraded gst-plugins-base-libs (1.22.8-2 -> 1.22.10-1)
[2024-03-01T16:06:37+0100] [ALPM] upgraded gst-plugins-bad-libs (1.22.8-2 -> 1.22.10-1)
[2024-03-01T16:06:40+0100] [ALPM] upgraded qt5-base (5.15.12+kde+r147-1 -> 5.15.12+kde+r151-1)
[2024-03-01T16:06:40+0100] [ALPM] upgraded kitemviews5 (5.114.0-1 -> 5.115.0-1)
[2024-03-01T16:06:41+0100] [ALPM] upgraded kwidgetsaddons5 (5.114.0-1 -> 5.115.0-1)
[2024-03-01T16:06:41+0100] [ALPM] upgraded libadwaita (1:1.4.2-1 -> 1:1.4.3-1)
[2024-03-01T16:06:41+0100] [ALPM] upgraded libaio (0.3.113-2 -> 0.3.113-3)
[2024-03-01T16:06:41+0100] [ALPM] installed libblockdev-utils (3.1.0-1)
[2024-03-01T16:06:41+0100] [ALPM] upgraded libblockdev (3.0.4-1 -> 3.1.0-1)
[2024-03-01T16:06:41+0100] [ALPM] upgraded libgtop (2.41.2-1 -> 2.41.3-1)
[2024-03-01T16:06:41+0100] [ALPM] upgraded libhandy (1.8.2-1 -> 1.8.3-1)
[2024-03-01T16:06:41+0100] [ALPM] upgraded libluv (1.47.0_0-1 -> 1.48.0_1-1)
[2024-03-01T16:06:41+0100] [ALPM] upgraded libmanette (0.2.6-5 -> 0.2.7-1)
[2024-03-01T16:06:41+0100] [ALPM] upgraded libngtcp2 (1.2.0-1 -> 1.3.0-1)
[2024-03-01T16:06:41+0100] [ALPM] upgraded libnvme (1.7.1-1 -> 1.8-1)
[2024-03-01T16:06:41+0100] [ALPM] upgraded neon (0.32.5-2 -> 0.33.0-1)
[2024-03-01T16:06:42+0100] [ALPM] installed libixion (0.19.0-1)
[2024-03-01T16:06:42+0100] [ALPM] installed liborcus (0.19.2-1)
[2024-03-01T16:06:42+0100] [ALPM] upgraded rasqal (1:0.9.33-6 -> 1:0.9.33-7)
[2024-03-01T16:07:02+0100] [ALPM] upgraded libreoffice-still (7.5.9-2 -> 7.6.5-1)
[2024-03-01T16:07:03+0100] [ALPM] upgraded libreoffice-still-de (7.5.9-1 -> 7.6.5-1)
[2024-03-01T16:07:03+0100] [ALPM] upgraded libwbclient (4.19.4-1 -> 4.19.5-1)
[2024-03-01T16:07:03+0100] [ALPM] upgraded libwpe (1.14.1-2 -> 1.14.2-1)
[2024-03-01T16:07:03+0100] [ALPM] upgraded libxfce4util (4.18.1-1 -> 4.18.2-1)
[2024-03-01T16:07:03+0100] [ALPM] upgraded libxfce4ui (4.18.4-1 -> 4.18.5-1)
[2024-03-01T16:07:04+0100] [ALPM] upgraded licenses (20240115-1 -> 20240206-1)
[2024-03-01T16:07:04+0100] [ALPM] upgraded linux-firmware-whence (20240115.9b6d0b08-1 -> 20240220.97b693d2-1)
[2024-03-01T16:07:20+0100] [ALPM] upgraded linux-firmware (20240115.9b6d0b08-1 -> 20240220.97b693d2-1)
[2024-03-01T16:07:20+0100] [ALPM] upgraded mbedtls2 (2.28.6-1 -> 2.28.7-1)
[2024-03-01T16:07:20+0100] [ALPM] upgraded python-tqdm (4.66.1-2 -> 4.66.2-1)
[2024-03-01T16:07:20+0100] [ALPM] upgraded python-typing_extensions (4.9.0-1 -> 4.10.0-1)
[2024-03-01T16:07:21+0100] [ALPM] upgraded meson (1.3.1-1 -> 1.3.2-1)
[2024-03-01T16:07:22+0100] [ALPM] upgraded mold (2.2.0-1 -> 2.4.1-1)
[2024-03-01T16:07:22+0100] [ALPM] upgraded networkmanager (1.44.2-3 -> 1.46.0-2)
[2024-03-01T16:07:24+0100] [ALPM] upgraded nodejs (21.6.1-1 -> 21.6.2-1)
[2024-03-01T16:07:24+0100] [ALPM] upgraded xmlsec (1.2.39-1 -> 1.3.3-2)
[2024-03-01T16:07:24+0100] [ALPM] upgraded oath-toolkit (2.6.11-1 -> 2.6.11-2)
[2024-03-01T16:07:24+0100] [ALPM] installed numactl (2.0.18-1)
[2024-03-01T16:07:24+0100] [ALPM] installed libfabric (1.20.0-1)
[2024-03-01T16:07:25+0100] [ALPM] upgraded openpmix (4.2.8-1 -> 4.2.9-1)
[2024-03-01T16:07:25+0100] [ALPM] installed prrte (3.0.4-3)
[2024-03-01T16:07:25+0100] [ALPM] upgraded openmpi (4.1.6-3 -> 5.0.2-6)
[2024-03-01T16:07:25+0100] [ALPM] upgraded pacman-contrib (1.10.1-1 -> 1.10.4-1)
[2024-03-01T16:07:25+0100] [ALPM] upgraded pangomm (2.46.3-1 -> 2.46.4-1)
[2024-03-01T16:07:25+0100] [ALPM] upgraded parallel (20231222-1 -> 20240122-1)
[2024-03-01T16:07:25+0100] [ALPM] upgraded perl-business-isbn-data (20231220.001-1 -> 20240206.001-1)
[2024-03-01T16:07:25+0100] [ALPM] upgraded perl-business-isbn (3.008-2 -> 3.009-1)
[2024-03-01T16:07:25+0100] [ALPM] upgraded perl-business-ismn (1.203-2 -> 1.204-1)
[2024-03-01T16:07:25+0100] [ALPM] upgraded perl-datetime-timezone (2.61-1 -> 2.62-1)
[2024-03-01T16:07:25+0100] [ALPM] upgraded perl-ipc-run3 (0.048-11 -> 0.049-1)
[2024-03-01T16:07:26+0100] [ALPM] upgraded pipewire-alsa (1:1.0.1-1 -> 1:1.0.3-1)
[2024-03-01T16:07:26+0100] [ALPM] upgraded pipewire-pulse (1:1.0.1-1 -> 1:1.0.3-1)
[2024-03-01T16:07:26+0100] [ALPM] upgraded protobuf (25.1-1 -> 25.2-1)
[2024-03-01T16:07:26+0100] [ALPM] upgraded python-attrs (23.1.0-1 -> 23.2.0-1)
[2024-03-01T16:07:26+0100] [ALPM] upgraded python-certifi (2023.11.17-1 -> 2024.02.02-1)
[2024-03-01T16:07:26+0100] [ALPM] upgraded python-installer (0.7.0-3 -> 0.7.0-4)
[2024-03-01T16:07:26+0100] [ALPM] upgraded python-rpds-py (0.15.2-1 -> 0.17.1-1)
[2024-03-01T16:07:26+0100] [ALPM] upgraded python-referencing (0.32.0-1 -> 0.33.0-1)
[2024-03-01T16:07:26+0100] [ALPM] upgraded python-jsonschema (4.20.0-1 -> 4.21.1-1)
[2024-03-01T16:07:26+0100] [ALPM] upgraded python-markupsafe (2.1.3-1 -> 2.1.4-1)
[2024-03-01T16:07:26+0100] [ALPM] upgraded python-mako (1.3.0-1 -> 1.3.2-1)
[2024-03-01T16:07:26+0100] [ALPM] upgraded python-markdown (3.5.1-1 -> 3.5.2-1)
[2024-03-01T16:07:27+0100] [ALPM] upgraded python-orjson (3.9.12-1 -> 3.9.15-1)
[2024-03-01T16:07:27+0100] [ALPM] upgraded python-wheel (0.42.0-1 -> 0.42.0-2)
[2024-03-01T16:07:28+0100] [ALPM] upgraded python-pip (23.3.2-2 -> 24.0-1)
[2024-03-01T16:07:28+0100] [ALPM] upgraded python-protobuf (25.1-1 -> 25.2-1)
[2024-03-01T16:07:28+0100] [ALPM] upgraded python-pyqt6 (6.6.1-1 -> 6.6.1-2)
[2024-03-01T16:07:29+0100] [ALPM] upgraded python-waitress (2.1.2-2 -> 3.0.0-1)
[2024-03-01T16:07:30+0100] [ALPM] upgraded qt5-declarative (5.15.12+kde+r31-1 -> 5.15.12+kde+r32-1)
[2024-03-01T16:07:30+0100] [ALPM] upgraded qt6-multimedia-ffmpeg (6.6.1-1 -> 6.6.2-1)
[2024-03-01T16:07:30+0100] [ALPM] upgraded qt6-multimedia (6.6.1-1 -> 6.6.2-1)
[2024-03-01T16:07:30+0100] [ALPM] upgraded qt6-positioning (6.6.1-1 -> 6.6.2-1)
[2024-03-01T16:07:30+0100] [ALPM] upgraded qt6-svg (6.6.1-1 -> 6.6.2-1)
[2024-03-01T16:07:30+0100] [ALPM] upgraded qt6-webchannel (6.6.1-1 -> 6.6.2-1)
[2024-03-01T16:07:38+0100] [ALPM] upgraded qt6-webengine (6.6.1-2 -> 6.6.2-1)
[2024-03-01T16:07:46+0100] [ALPM] upgraded rust (1:1.75.0-2 -> 1:1.76.0-1)
[2024-03-01T16:07:46+0100] [ALPM] upgraded scdoc (1.11.2-5 -> 1.11.3-1)
[2024-03-01T16:07:46+0100] [ALPM] upgraded xorg-xkbcomp (1.4.6-1 -> 1.4.7-1)
[2024-03-01T16:07:46+0100] [ALPM] upgraded sddm (0.20.0-2 -> 0.20.0-4)
[2024-03-01T16:07:46+0100] [ALPM] upgraded semver (7.5.4-1 -> 7.6.0-1)
[2024-03-01T16:07:46+0100] [ALPM] upgraded spdlog (1.12.0-2 -> 1.13.0-1)
[2024-03-01T16:07:47+0100] [ALPM] upgraded sway (1:1.8.1-5 -> 1:1.9-1)
[2024-03-01T16:07:47+0100] [ALPM] upgraded systemd-sysvcompat (255.2-3 -> 255.4-1)
[2024-03-01T16:07:47+0100] [ALPM] upgraded thin-provisioning-tools (1.0.10-1 -> 1.0.12-1)
[2024-03-01T16:07:47+0100] [ALPM] installed libblockdev-crypto (3.1.0-1)
[2024-03-01T16:07:47+0100] [ALPM] installed libblockdev-fs (3.1.0-1)
[2024-03-01T16:07:47+0100] [ALPM] installed libblockdev-mdraid (3.1.0-1)
[2024-03-01T16:07:47+0100] [ALPM] installed libblockdev-loop (3.1.0-1)
[2024-03-01T16:07:47+0100] [ALPM] installed libblockdev-nvme (3.1.0-1)
[2024-03-01T16:07:47+0100] [ALPM] installed libblockdev-part (3.1.0-1)
[2024-03-01T16:07:47+0100] [ALPM] installed libblockdev-swap (3.1.0-1)
[2024-03-01T16:07:47+0100] [ALPM] upgraded udisks2 (2.10.1-2 -> 2.10.1-3)
[2024-03-01T16:08:09+0100] [ALPM] upgraded vulkan-validation-layers (1.3.268.0-1 -> 1.3.275-1)
[2024-03-01T16:08:09+0100] [ALPM] upgraded waybar (0.9.24-2 -> 0.9.24-3)
[2024-03-01T16:08:09+0100] [ALPM] upgraded wayland-protocols (1.32-1 -> 1.33-1)
[2024-03-01T16:08:13+0100] [ALPM] upgraded webkit2gtk (2.42.4-2 -> 2.42.5-2)
[2024-03-01T16:08:13+0100] [ALPM] upgraded whois (5.5.20-1 -> 5.5.21-1)
[2024-03-01T16:08:13+0100] [ALPM] upgraded wofi (1.3-2 -> 1.4.1-1)
[2024-03-01T16:08:14+0100] [ALPM] upgraded xmake (2.8.6-1 -> 2.8.7-1)
[2024-03-01T16:08:15+0100] [ALPM] transaction completed
[2024-03-01T16:08:22+0100] [ALPM] running '20-systemd-sysusers.hook'...
[2024-03-01T16:08:22+0100] [ALPM] running '30-systemd-catalog.hook'...
[2024-03-01T16:08:23+0100] [ALPM] running '30-systemd-daemon-reload-system.hook'...
[2024-03-01T16:08:24+0100] [ALPM] running '30-systemd-daemon-reload-user.hook'...
[2024-03-01T16:08:24+0100] [ALPM] running '30-systemd-hwdb.hook'...
[2024-03-01T16:08:25+0100] [ALPM] running '30-systemd-sysctl.hook'...
[2024-03-01T16:08:25+0100] [ALPM] running '30-systemd-tmpfiles.hook'...
[2024-03-01T16:08:26+0100] [ALPM] running '30-systemd-udev-reload.hook'...
[2024-03-01T16:08:27+0100] [ALPM] running '30-systemd-update.hook'...
[2024-03-01T16:08:27+0100] [ALPM] running '30-update-mime-database.hook'...
[2024-03-01T16:08:28+0100] [ALPM] running '40-update-ca-trust.hook'...
[2024-03-01T16:08:32+0100] [ALPM] running '90-linux-manjaro.hook'...
[2024-03-01T16:08:32+0100] [ALPM-SCRIPTLET] ==> Building image from preset: /etc/mkinitcpio.d/linux-manjaro.preset: 'default'
[2024-03-01T16:08:32+0100] [ALPM-SCRIPTLET] ==> Using configuration file: '/etc/mkinitcpio.conf'
[2024-03-01T16:08:32+0100] [ALPM-SCRIPTLET]   -> -k 6.2.12-1-MANJARO-ARM -c /etc/mkinitcpio.conf -g /boot/initramfs-linux.img
[2024-03-01T16:08:32+0100] [ALPM-SCRIPTLET] ==> Starting build: '6.2.12-1-MANJARO-ARM'
[2024-03-01T16:08:33+0100] [ALPM-SCRIPTLET]   -> Running build hook: [base]
[2024-03-01T16:08:34+0100] [ALPM-SCRIPTLET]   -> Running build hook: [udev]
[2024-03-01T16:08:36+0100] [ALPM-SCRIPTLET]   -> Running build hook: [autodetect]
[2024-03-01T16:08:37+0100] [ALPM-SCRIPTLET]   -> Running build hook: [modconf]
[2024-03-01T16:08:37+0100] [ALPM-SCRIPTLET]   -> Running build hook: [kms]
[2024-03-01T16:08:38+0100] [ALPM-SCRIPTLET]   -> Running build hook: [keyboard]
[2024-03-01T16:08:38+0100] [ALPM-SCRIPTLET]   -> Running build hook: [keymap]
[2024-03-01T16:08:38+0100] [ALPM-SCRIPTLET]   -> Running build hook: [consolefont]
[2024-03-01T16:08:39+0100] [ALPM-SCRIPTLET] ==> WARNING: consolefont: no font found in configuration
[2024-03-01T16:08:39+0100] [ALPM-SCRIPTLET]   -> Running build hook: [block]
[2024-03-01T16:08:40+0100] [ALPM-SCRIPTLET]   -> Running build hook: [filesystems]
[2024-03-01T16:08:40+0100] [ALPM-SCRIPTLET]   -> Running build hook: [fsck]
[2024-03-01T16:08:41+0100] [ALPM-SCRIPTLET] ==> Generating module dependencies
[2024-03-01T16:08:41+0100] [ALPM-SCRIPTLET] ==> Creating gzip-compressed initcpio image: '/boot/initramfs-linux.img'
[2024-03-01T16:08:45+0100] [ALPM-SCRIPTLET] ==> WARNING: errors were encountered during the build. The image may not be complete.
[2024-03-01T16:08:45+0100] [ALPM] running '90-mkinitcpio-install.hook'...
[2024-03-01T16:08:45+0100] [ALPM-SCRIPTLET] ==> Building image from preset: /etc/mkinitcpio.d/linux-manjaro.preset: 'default'
[2024-03-01T16:08:45+0100] [ALPM-SCRIPTLET] ==> Using configuration file: '/etc/mkinitcpio.conf'
[2024-03-01T16:08:45+0100] [ALPM-SCRIPTLET]   -> -k 6.2.12-1-MANJARO-ARM -c /etc/mkinitcpio.conf -g /boot/initramfs-linux.img
[2024-03-01T16:08:46+0100] [ALPM-SCRIPTLET] ==> Starting build: '6.2.12-1-MANJARO-ARM'
[2024-03-01T16:08:46+0100] [ALPM-SCRIPTLET]   -> Running build hook: [base]
[2024-03-01T16:08:48+0100] [ALPM-SCRIPTLET]   -> Running build hook: [udev]
[2024-03-01T16:08:49+0100] [ALPM-SCRIPTLET]   -> Running build hook: [autodetect]
[2024-03-01T16:08:50+0100] [ALPM-SCRIPTLET]   -> Running build hook: [modconf]
[2024-03-01T16:08:50+0100] [ALPM-SCRIPTLET]   -> Running build hook: [kms]
[2024-03-01T16:08:51+0100] [ALPM-SCRIPTLET]   -> Running build hook: [keyboard]
[2024-03-01T16:08:51+0100] [ALPM-SCRIPTLET]   -> Running build hook: [keymap]
[2024-03-01T16:08:51+0100] [ALPM-SCRIPTLET]   -> Running build hook: [consolefont]
[2024-03-01T16:08:51+0100] [ALPM-SCRIPTLET] ==> WARNING: consolefont: no font found in configuration
[2024-03-01T16:08:51+0100] [ALPM-SCRIPTLET]   -> Running build hook: [block]
[2024-03-01T16:08:52+0100] [ALPM-SCRIPTLET]   -> Running build hook: [filesystems]
[2024-03-01T16:08:52+0100] [ALPM-SCRIPTLET]   -> Running build hook: [fsck]
[2024-03-01T16:08:53+0100] [ALPM-SCRIPTLET] ==> Generating module dependencies
[2024-03-01T16:08:53+0100] [ALPM-SCRIPTLET] ==> Creating gzip-compressed initcpio image: '/boot/initramfs-linux.img'
[2024-03-01T16:08:57+0100] [ALPM-SCRIPTLET] ==> WARNING: errors were encountered during the build. The image may not be complete.
[2024-03-01T16:08:57+0100] [ALPM] running '90-update-appstream-cache.hook'...
[2024-03-01T16:09:01+0100] [ALPM-SCRIPTLET] ✔ Zwischenspeicher für Metadaten erfolgreich aktualisiert.
[2024-03-01T16:09:01+0100] [ALPM] running 'dbus-reload.hook'...
[2024-03-01T16:09:01+0100] [ALPM] running 'detect-old-perl-modules.hook'...
[2024-03-01T16:09:01+0100] [ALPM] running 'fontconfig.hook'...
[2024-03-01T16:09:03+0100] [ALPM] running 'gdk-pixbuf-query-loaders.hook'...
[2024-03-01T16:09:03+0100] [ALPM] running 'gio-querymodules.hook'...
[2024-03-01T16:09:04+0100] [ALPM] running 'glib-compile-schemas.hook'...
[2024-03-01T16:09:04+0100] [ALPM] running 'gtk-update-icon-cache.hook'...
[2024-03-01T16:09:04+0100] [ALPM] running 'texinfo-install.hook'...
[2024-03-01T16:09:04+0100] [ALPM] running 'update-desktop-database.hook'...
[2024-03-01T16:15:49+0100] [PACMAN] Running 'pacman -U --config /etc/pacman.conf -- /home/johnny/.cache/yay/wlogout/wlogout-1.2.1-1-aarch64.pkg.tar.xz /home/johnny/.cache/yay/yay-bin/yay-bin-12.3.0-1-aarch64.pkg.tar.xz /home/johnny/.cache/yay/vscodium-bin/vscodium-bin-1.87.0.24060-1-aarch64.pkg.tar.xz /home/johnny/.cache/yay/swaylock-effects/swaylock-effects-1.7.0.0-4-aarch64.pkg.tar.xz'
[2024-03-01T16:15:51+0100] [ALPM] transaction started
[2024-03-01T16:15:51+0100] [ALPM] upgraded wlogout (1.1.1-3 -> 1.2.1-1)
[2024-03-01T16:15:52+0100] [ALPM] upgraded yay-bin (12.2.0-1 -> 12.3.0-1)
[2024-03-01T16:16:03+0100] [ALPM] upgraded vscodium-bin (1.85.1.23348-1 -> 1.87.0.24060-1)
[2024-03-01T16:16:04+0100] [ALPM-SCRIPTLET] (B==>(B NOTE:(B Custom flags should be put directly in: ~/.config/codium-flags.conf(B
[2024-03-01T16:16:04+0100] [ALPM] upgraded swaylock-effects (1.7.0.0-2 -> 1.7.0.0-4)
[2024-03-01T16:16:04+0100] [ALPM] transaction completed
[2024-03-01T16:16:04+0100] [ALPM] running '30-systemd-update.hook'...
[2024-03-01T16:16:04+0100] [ALPM] running 'update-desktop-database.hook'...
[2024-03-01T16:16:06+0100] [PACMAN] Running 'pacman -D -q --asexplicit --config /etc/pacman.conf -- wlogout yay-bin vscodium-bin swaylock-effects'

Any help would be appreciated. If you need further logs or info I am open to share.

Besides this sudden issue I really enjoy the Pinebook Pro. Good Work!
  Reply
#2
I solved the issue. The package libdrm-pinebookpro from here was out of date. I solved it by installing the libdrm package from extra.
  Reply


Possibly Related Threads…
Thread Author Replies Views Last Post
  Nethunter default password failed lamlarryyyy 0 336 11-23-2023, 02:48 AM
Last Post: lamlarryyyy
  Fedora 36 -> 37 upgrade kills system tydeman 0 446 10-28-2023, 09:53 AM
Last Post: tydeman
  Manjaro [ARM Stable Update] 2021-07-23 issues Bocanila 1 2,015 08-21-2023, 09:10 PM
Last Post: vanessadonald
  Manjaro update: nerd-font-terminus dependency issue Vinay 3 1,329 05-10-2023, 04:51 AM
Last Post: Vinay
  Manjaro update broke hardware video acceleration with mpv myself600 2 1,339 01-25-2023, 09:12 AM
Last Post: myself600
Question Debian (Vanilla) no output on display after Kernel update (6.0.8-1) as365n4 1 1,268 12-09-2022, 12:43 PM
Last Post: as365n4
  WiFi stopped on Pinebook Pro after update tkudog 3 2,596 11-24-2022, 04:32 PM
Last Post: tkudog
  Manjaro update: wxgtk dependency issue Vinay 5 2,525 09-09-2022, 12:03 PM
Last Post: Vinay
  Error trying to update Manjaro software boosterh 5 2,843 08-31-2022, 10:28 PM
Last Post: shulamy
  Is anyone successfully running guix system on PBP bluekeys 8 7,967 08-29-2022, 01:19 PM
Last Post: bluekeys

Forum Jump:


Users browsing this thread: 1 Guest(s)